Skip to main content
POST
/
api
/
v1
/
loan-products
/
{id}
/
activate
Activate loan product
curl --request POST \
  --url https://lender.sandbox.lerian.net/api/v1/loan-products/{id}/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-products/{id}/activate"

payload = { "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({versionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-products/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "<string>",
  "id": "<string>",
  "jurisdictionCode": "<string>",
  "loanType": "<string>",
  "name": "<string>",
  "status": "<string>",
  "currentVersionId": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string<uuid>
required

Loan product identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
versionId
string<uuid>
required

Loan product version to pin on activation.

Example:

"550e8400-e29b-41d4-a716-446655440001"

Response

OK

createdAt
string
required

Creation timestamp (RFC3339, UTC).

Example:

"2026-06-14T12:00:00Z"

id
string
required

Server-assigned loan product identifier (uuid).

Example:

"550e8400-e29b-41d4-a716-446655440009"

jurisdictionCode
string
required

Jurisdiction profile code (e.g. BR).

Example:

"BR"

loanType
string
required

Loan product type.

Example:

"personal"

name
string
required

Loan product display name.

status
string
required

Lifecycle status (e.g. draft|active).

Example:

"active"

currentVersionId
string

Identifier (uuid) of the pinned active version; empty until activation.

Example:

"550e8400-e29b-41d4-a716-44665544000a"